ChannelReceiver (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.ChannelReceiver interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Interface ChannelReceiver

All Superinterfaces:
  Heartbeat

All Known Implementing Classes:
  BioReceiver, NioReceiver, ReceiverBase

    public interface ChannelReceiver

extends Heartbeat

ChannelReceiver Interface
The `ChannelReceiver` interface is the data receiver component at the bottom layer, the IO layer (for layers see the javadoc for the `Channel` interface). This class may optionally implement a thread pool for parallel processing of incoming messages.

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Filip Hanik

Method Summary
`java.lang.String` | `getHost()` String representation of the IPv4 or IPv6 address that this host is listening to.
`MessageListener` | `getMessageListener()` Returns the message listener that is associated with this receiver
`int` | `getPort()` Returns the listening port
`int` | `getSecurePort()` Returns the secure listening port
`void` | `setMessageListener(MessageListener listener)` Sets the message listener to receive notification of incoming
`void` | `start()` Start listening for incoming messages on the host/port
`void` | `stop()` Stop listening for messages

Methods inherited from interface org.apache.catalina.tribes.Heartbeat
`heartbeat`

Method Detail

### start

    void start()
               throws java.io.IOException

  Start listening for incoming messages on the host/port

  Throws:
    `java.io.IOException`

### stop

    void stop()

  Stop listening for messages

### getHost

    java.lang.String getHost()

  String representation of the IPv4 or IPv6 address that this host is listening to.

  Returns:
    the host that this receiver is listening to

### getPort

    int getPort()

  Returns the listening port

  Returns:
    port

### getSecurePort

    int getSecurePort()

  Returns the secure listening port

  Returns:
    port, -1 if a secure port is not activated

### setMessageListener

    void setMessageListener(MessageListener listener)

  Sets the message listener to receive notification of incoming

  Parameters:
    `listener` - MessageListener
  See Also:
    `MessageListener`

### getMessageListener

    MessageListener getMessageListener()

  Returns the message listener that is associated with this receiver

  Returns:
    MessageListener
  See Also:
    `MessageListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.